#ifndef _LIVEPATCH_BSC1201629_H
#define _LIVEPATCH_BSC1201629_H

#if IS_ENABLED(CONFIG_XEN_NETDEV_FRONTEND)

int livepatch_bsc1201629_init(void);
void livepatch_bsc1201629_cleanup(void);


#include <xen/interface/io/ring.h>

struct netfront_queue;
struct netfront_rx_info;
struct sk_buff_head;

int klpp_xennet_get_responses(struct netfront_queue *queue,
				struct netfront_rx_info *rinfo, RING_IDX rp,
				struct sk_buff_head *list,
				bool *need_xdp_flush);

#else /* !IS_ENABLED(CONFIG_XEN_NETDEV_FRONTEND) */

static inline int livepatch_bsc1201629_init(void) { return 0; }

static inline void livepatch_bsc1201629_cleanup(void) {}

#endif /* IS_ENABLED(CONFIG_XEN_NETDEV_FRONTEND) */
#endif /* _LIVEPATCH_BSC1201629_H */
